Bug 70107 - last screen still refers to rhn_register
last screen still refers to rhn_register
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On: 71252
  Show dependency treegraph
Reported: 2002-07-30 10:06 EDT by Michael Schwendt
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-14 10:12:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2002-07-30 10:06:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020702

Description of problem:
In up2date, the last screen upon registering at RHN still tells the user to run
"rhn_register" if he wishes to register later. That program no longer exists.

Version-Release number of selected component (if applicable):
Limbo beta2 - unmodified
Comment 1 Adrian Likins 2002-08-02 15:38:07 EDT
Think I've got all this stuff cleaned up now. grep -ri seems
to agree with me.

I'm sure I've only missed another two or three cases...
Comment 2 Michael Schwendt 2002-08-09 18:37:33 EDT
Hmmm, can't verify this with 2.9.38 because it doesn't let me reach the last
page. On the overview page which lists the packages that have been upgraded, the
"Forward" button doesn't work.

This could also be a new bug, though. "Back" works and returns me to the
previous page (Installation of packages, 100%, All Finished.) Clicking "Forward"
there gives an RPM error (packages already installed). Someone from QA should
play a bit with the program.
Comment 3 Adrian Likins 2002-08-12 17:38:35 EDT
fixed in 2.9.40
Comment 4 Michael Schwendt 2002-08-20 04:15:25 EDT
Still the case with (null):

$ rpm -qa 'up2date*'
Comment 5 Jay Turner 2002-08-28 11:19:24 EDT
With up2date-2.9.57-1, I'm still getting the message that I'm to run
'rhn_register' if I wish to register.
Comment 6 Michael Schwendt 2002-12-28 07:32:32 EST
Same with up2date-3.0.7-1 from Phoebe beta.
Comment 7 Adrian Likins 2003-01-20 22:26:39 EST
Last version of this string removed, and in theory, the server
side shouldn't do it anymore either. 3.1.12 or higher.

Also, in new versions a symlink called "rhn_register" does exist
Comment 8 Jay Turner 2003-02-14 10:12:52 EST
With up2date-3.1.15-7, this string is still appearing in the gui.gladestrings
file, but the symlink is present as well, so I don't really consider it a problem.

Note You need to log in before you can comment on or make changes to this bug.